u_hd_res_t Union Reference
Public interface » ID macros » Resource structures

libhd resource union More...

`#include <hd.h>`

## Data Fields

union u_hd_res_t * | next
res_any_t | any
res_io_t | io
res_mem_t | mem
res_phys_mem_t | phys_mem
res_irq_t | irq
res_dma_t | dma
res_size_t | size
res_cache_t | cache
res_baud_t | baud
res_disk_geo_t | disk_geo
res_monitor_t | monitor
res_init_strings_t | init_strings
res_pppd_option_t | pppd_option
res_framebuffer_t | framebuffer
res_hwaddr_t | hwaddr
res_link_t | link
res_wlan_t | wlan
res_fc_t | fc

## Detailed Description

libhd resource union

The documentation for this union was generated from the following file:

- hd.h